### Method

# Gimp Gradient segment_get_blending_function

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_get_blending_function (
      GimpGradient* gradient,
      gint segment,
      GimpGradientSegmentType* blend_func
    )

#### Description [src]

Gets the gradient segment’s blending function

Gets the blending function of the segment at the index. Returns an error when the segment index is out of range.

Available since: 2.2

#### Parameters

`segment`

  Type: `gint`

  The index of a segment within the gradient.

`blend_func`

  Type: `GimpGradientSegmentType`

  The blending function of the segment.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE on success.